View Issue Details

IDProjectCategoryView StatusLast Update
0001278ECLERD[All Projects] Generalpublic2017-04-02 21:52
ReporterXenostomAssigned ToXenostom 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Versionv0 
Target VersionFixed in Version0.1.6 
Summary0001278: Compte de jeu et connexion
DescriptionLes utilisateurs doivent pouvoir s'inscrire sur le jeu et gérer leur compte, avec mot de pass, login et email. Le compte du joueur est séparé de la façon de s'y connecter. Le compte du joueur est également totalement détaché de la notion de "pays" que j'avais avant.
TagsNo tags attached.
Attach Tags

Relationships

parent of 0001937 CloseXenos Améliorer la navigation et l'ergonomie 
child of 0001280 CloseXenos Lier le compte du joueur aux niveaux d'arborescence 

Activities

Xenos

Xenos

2016-08-13 21:12

administrator   ~0002143

Je change d'approche: je vais d'abord finir le jeu en "read only", c'est à dire sans compte ni rien, juste avec la possibilité de naviguer dans le jeu mais sans se connecter (donc sans jouer).

Après, je ferai une release (donc, une release avec le jeu en "lecture seule").

Enfin seulement, je m'attaquerai aux comptes de jeu et à la possibilité d'interagir avec la carte pour jouer.
Xenos

Xenos

2016-10-09 11:06

administrator   ~0002619

Last edited: 2016-11-13 11:49

Il y a tellement de tickets, que je ne sais même plus si tous ceux qui étaient "acceptés" le sont vraiment (je me servais en fait de ce statut comme d'une "priorité": un ticket "compris" et un "accepté" étaient en fait tous deux "acceptés", mais le "compris" était moins prioritaire).

Maintenant, j'applique les vrais statuts: ces tickets ont été acceptés/compris à un moment, donc je les avais lus et je les avais au moins compris. Du coup, je leur vire à tous leur statut "d'accepté", et je verrai si je les ré-accepte plus tard.

Il ne fallait en fait pas ouvrir tous ces tickets d'un coup, mais attendre une première release pour les ouvrir peu à peu... >.<
Xenos

Xenos

2016-11-13 16:59

administrator   ~0002728

En pratique, ce n'est pas encore fait. J'ai juste un bouton "Jouer" qui ne fait que créer un faux compte sans rien dire au joueur.
Xenostom

Xenostom

2016-12-27 16:30

developer   ~0002812

Je vais proposer le bouton "jouer maintenant", qui créera le compte sans nécessairement requérir d'email ou de mot de passe.

Il me faudra aussi la vue pour gérer son compte.
Xenostom

Xenostom

2017-01-03 17:55

developer   ~0002830

Temporairement avorté pour rendre le jeu existant plus attractif avant d'attaquer les comptes de jeu en eux-même.
Xenos

Xenos

2017-04-02 21:52

administrator   ~0003130

Réglé dans le MVP

Issue History

Date Modified Username Field Change
2016-04-29 17:56 Xenostom New Issue
2016-04-29 17:56 Xenostom Status New => Understood
2016-04-29 21:11 Xenos Relationship added child of 0001280
2016-04-29 21:23 Xenos Status Understood => Accepted
2016-08-13 15:45 Xenos Assigned To => Xenos
2016-08-13 15:45 Xenos Status Accepted => In progress
2016-08-13 21:12 Xenos Note Added: 0002143
2016-08-13 21:12 Xenos Status In progress => Accepted
2016-10-09 11:06 Xenos Status Accepted => Understood
2016-10-09 11:06 Xenos Note Added: 0002619
2016-10-28 22:03 Xenos Status Understood => In progress
2016-11-13 11:49 AutoUpdater Status In progress => Resolved
2016-11-13 11:49 AutoUpdater Resolution open => fixed
2016-11-13 11:49 AutoUpdater Fixed in Version => 0.1.6
2016-11-13 16:59 Xenos Note Added: 0002728
2016-11-13 16:59 Xenos Status Resolved => Feedback
2016-11-13 16:59 Xenos Resolution fixed => reopened
2016-11-13 16:59 Xenos Status Feedback => Accepted
2016-12-27 16:30 Xenostom Assigned To Xenos => Xenostom
2016-12-27 16:30 Xenostom Status Accepted => In progress
2016-12-27 16:30 Xenostom Note Added: 0002812
2017-01-03 17:55 Xenostom Relationship added parent of 0001937
2017-01-03 17:55 Xenostom Status In progress => New
2017-01-03 17:55 Xenostom Note Added: 0002830
2017-04-02 21:52 Xenos Status New => Close
2017-04-02 21:52 Xenos Resolution reopened => fixed
2017-04-02 21:52 Xenos Note Added: 0003130